unit Uf45;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, MPlayer,unitgen, StdCtrls, ExtCtrls, SensMap, Menus,
  uf45_g1,uf45_g2;

type
  TFormFluke45 = class(TForm)
    MediaPlayerFluke45: TMediaPlayer;
    Image1: TImage;
    Image2: TImage;
    MainMenu1: TMainMenu;
    Opciones1: TMenuItem;
    Panelfrontal1: TMenuItem;
    Ayuda1: TMenuItem;
    Ayuda2: TMenuItem;
    Cuestiones1: TMenuItem;
    N1: TMenuItem;
    Volver1: TMenuItem;
    Notasgenerales1: TMenuItem;
    Editordenmeros1: TMenuItem;
    Editordelistas1: TMenuItem;
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Volver1Click(Sender: TObject);
    procedure Panelfrontal1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Editordenmeros1Click(Sender: TObject);
    procedure Editordelistas1Click(Sender: TObject);
    procedure Cuestiones1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormFluke45: TFormFluke45;

implementation

{$R *.DFM}

procedure TFormFluke45.FormShow(Sender: TObject);
begin
if sonido then mediaplayerFluke45.play;
end;

procedure TFormFluke45.FormCreate(Sender: TObject);
begin
notaabierta:=[];
end;

procedure TFormFluke45.Volver1Click(Sender: TObject);
begin
if ((1 in notaabierta)or(2 in notaabierta)) then
   if (panelabierto) then
      Application.MessageBox( 'Cierre antes las notas abiertas y el panel frontal.', 'Existen notas abiertas',
                              MB_ICONEXCLAMATION)
   else
       Application.MessageBox( 'Cierre antes las notas abiertas.', 'Existen notas abiertas',
                               MB_ICONEXCLAMATION)
else
    if (panelabierto) then
       Application.MessageBox( 'Cierre antes el panel frontal.', 'El panel está abierto',
                               MB_ICONEXCLAMATION)
else
    if (cuestionesabiertas) then
       Application.MessageBox( 'Cierre antes la ventana de cuestiones.', 'Las cuestiones están abiertas',
                               MB_ICONEXCLAMATION)
else
        fluke45ppal;
end;

procedure TFormFluke45.Panelfrontal1Click(Sender: TObject);
begin
if panelabierto = false then
   begin
   panelabierto:=true;
   Fluke45frontpanel;
   end;
end;

procedure TFormFluke45.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
if ((1 in notaabierta)or(2 in notaabierta)) then begin
   Action:=caNone;
   if (panelabierto) then
      Application.MessageBox( 'Cierre antes las notas abiertas y el panel frontal.', 'Existen notas abiertas',
                              MB_ICONEXCLAMATION)
   else
       Application.MessageBox( 'Cierre antes las notas abiertas.', 'Existen notas abiertas',
                               MB_ICONEXCLAMATION)
   end
else
    if (panelabierto) then begin
       Action:=caNone;
       Application.MessageBox( 'Cierre antes el panel frontal.', 'El panel está abierto',
                               MB_ICONEXCLAMATION)
    end
else
    if (cuestionesabiertas) then begin
       Action:=caNone;
       Application.MessageBox( 'Cierre antes la ventana de cuestiones.', 'Las cuestiones están abiertas',
                               MB_ICONEXCLAMATION)
    end
else
     fluke45ppal;
end;

procedure TFormFluke45.Editordenmeros1Click(Sender: TObject);
begin
if not(1 in notaabierta) then begin
    application.Createform(TFormFluke45Nota1,FormFluke45Nota1);
    FormFluke45Nota1.show;
end;
notaabierta:=notaabierta + [1];
end;

procedure TFormFluke45.Editordelistas1Click(Sender: TObject);
begin
if not(2 in notaabierta) then begin
    application.Createform(TFormFluke45Nota2,FormFluke45Nota2);
    FormFluke45Nota2.show;
end;
notaabierta:=notaabierta + [2];
end;

procedure TFormFluke45.Cuestiones1Click(Sender: TObject);
begin
if cuestionesabiertas = false then
   begin
   cuestionesabiertas := true;
   fluke45cuestiones;
   end
end;

end.
